Bug 500038 (perl-Net-Amazon) - Review Request: perl-Net-Amazon - Framework for accessing amazon.com via REST
Summary: Review Request: perl-Net-Amazon - Framework for accessing amazon.com via REST
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Net-Amazon
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Net-Amazon/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-10 11:07 UTC by Iain Arnell
Modified: 2009-05-20 00:52 UTC (History)
3 users (show)

Fixed In Version: 0.50-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-11 03:32:52 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2009-05-10 11:07:07 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Net-Amazon.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Net-Amazon-0.50-1.fc12.src.rpm

Description:
Net::Amazon provides an object-oriented interface to amazon.com's REST
interface. This way it's possible to create applications using Amazon's vast
amount of data via a functional interface, without having to worry about the
underlying communication mechanism.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1346130

*rt-0.09

Comment 1 Parag AN(पराग) 2009-05-10 16:10:06 UTC
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1346130
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
666b46d46bafb252b86c9462a29b4610cfdc8ca6  Net-Amazon-0.50.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=23, Tests=336,  8 wallclock secs ( 0.21 usr  0.07 sys +  7.85 cusr  0.67 csys =  8.80 CPU)
+ Package perl-Net-Amazon-0.50-1.fc12.noarch =>
  Provides: perl(Net::Amazon) = 0.50 perl(Net::Amazon::Attribute::Review) perl(Net::Amazon::Attribute::ReviewSet) perl(Net::Amazon::Property) perl(Net::Amazon::Property::Book) perl(Net::Amazon::Property::CE) perl(Net::Amazon::Property::DVD) perl(Net::Amazon::Property::Music) perl(Net::Amazon::Property::Software) perl(Net::Amazon::Property::VideoGames) perl(Net::Amazon::Request) perl(Net::Amazon::Request::ASIN) perl(Net::Amazon::Request::Actor) perl(Net::Amazon::Request::Artist) perl(Net::Amazon::Request::Author) perl(Net::Amazon::Request::Blended) perl(Net::Amazon::Request::BrowseNode) perl(Net::Amazon::Request::Director) perl(Net::Amazon::Request::EAN) perl(Net::Amazon::Request::Exchange) perl(Net::Amazon::Request::ISBN) perl(Net::Amazon::Request::Keyword) perl(Net::Amazon::Request::Manufacturer) perl(Net::Amazon::Request::MusicLabel) perl(Net::Amazon::Request::Power) perl(Net::Amazon::Request::Publisher) perl(Net::Amazon::Request::Seller) perl(Net::Amazon::Request::Similar) perl(Net::Amazon::Request::TextStream) perl(Net::Amazon::Request::Title) perl(Net::Amazon::Request::UPC) perl(Net::Amazon::Request::Wishlist) perl(Net::Amazon::Response) perl(Net::Amazon::Response::ASIN) perl(Net::Amazon::Response::Actor) perl(Net::Amazon::Response::Artist) perl(Net::Amazon::Response::Author) perl(Net::Amazon::Response::Blended) perl(Net::Amazon::Response::BrowseNode) perl(Net::Amazon::Response::Director) perl(Net::Amazon::Response::EAN) perl(Net::Amazon::Response::Exchange) perl(Net::Amazon::Response::ISBN) perl(Net::Amazon::Response::Keyword) perl(Net::Amazon::Response::Manufacturer) perl(Net::Amazon::Response::MusicLabel) perl(Net::Amazon::Response::Power) perl(Net::Amazon::Response::Publisher) perl(Net::Amazon::Response::Seller) perl(Net::Amazon::Response::Similar) perl(Net::Amazon::Response::TextStream) perl(Net::Amazon::Response::Title) perl(Net::Amazon::Response::UPC) perl(Net::Amazon::Response::Wishlist) perl(Net::Amazon::Result::Seller) perl(Net::Amazon::Result::Seller::Listing) perl(Net::Amazon::Validate::ItemSearch) perl(Net::Amazon::Validate::ItemSearch::ca::Actor) perl(Net::Amazon::Validate::ItemSearch::ca::Artist) perl(Net::Amazon::Validate::ItemSearch::ca::AudienceRating) perl(Net::Amazon::Validate::ItemSearch::ca::Author) perl(Net::Amazon::Validate::ItemSearch::ca::Brand) perl(Net::Amazon::Validate::ItemSearch::ca::BrowseNode) perl(Net::Amazon::Validate::ItemSearch::ca::Composer) perl(Net::Amazon::Validate::ItemSearch::ca::Condition) perl(Net::Amazon::Validate::ItemSearch::ca::Conductor) perl(Net::Amazon::Validate::ItemSearch::ca::Count) perl(Net::Amazon::Validate::ItemSearch::ca::Director) perl(Net::Amazon::Validate::ItemSearch::ca::EAN) perl(Net::Amazon::Validate::ItemSearch::ca::ItemPage) perl(Net::Amazon::Validate::ItemSearch::ca::Keywords) perl(Net::Amazon::Validate::ItemSearch::ca::Manufacturer) perl(Net::Amazon::Validate::ItemSearch::ca::MaximumPrice) perl(Net::Amazon::Validate::ItemSearch::ca::MerchantId) perl(Net::Amazon::Validate::ItemSearch::ca::MinimumPrice) perl(Net::Amazon::Validate::ItemSearch::ca::MusicLabel) perl(Net::Amazon::Validate::ItemSearch::ca::Power) perl(Net::Amazon::Validate::ItemSearch::ca::Publisher) perl(Net::Amazon::Validate::ItemSearch::ca::Sort) perl(Net::Amazon::Validate::ItemSearch::ca::Title) perl(Net::Amazon::Validate::ItemSearch::de::Actor) perl(Net::Amazon::Validate::ItemSearch::de::Artist) perl(Net::Amazon::Validate::ItemSearch::de::AudienceRating) perl(Net::Amazon::Validate::ItemSearch::de::Author) perl(Net::Amazon::Validate::ItemSearch::de::Availability) perl(Net::Amazon::Validate::ItemSearch::de::Brand) perl(Net::Amazon::Validate::ItemSearch::de::BrowseNode) perl(Net::Amazon::Validate::ItemSearch::de::Composer) perl(Net::Amazon::Validate::ItemSearch::de::Condition) perl(Net::Amazon::Validate::ItemSearch::de::Conductor) perl(Net::Amazon::Validate::ItemSearch::de::Count) perl(Net::Amazon::Validate::ItemSearch::de::DeliveryMethod) perl(Net::Amazon::Validate::ItemSearch::de::Director) perl(Net::Amazon::Validate::ItemSearch::de::EAN) perl(Net::Amazon::Validate::ItemSearch::de::Format) perl(Net::Amazon::Validate::ItemSearch::de::ISPUPostalCode) perl(Net::Amazon::Validate::ItemSearch::de::ItemPage) perl(Net::Amazon::Validate::ItemSearch::de::Keywords) perl(Net::Amazon::Validate::ItemSearch::de::MPAARating) perl(Net::Amazon::Validate::ItemSearch::de::Magazines) perl(Net::Amazon::Validate::ItemSearch::de::Manufacturer) perl(Net::Amazon::Validate::ItemSearch::de::MaximumPrice) perl(Net::Amazon::Validate::ItemSearch::de::MerchantId) perl(Net::Amazon::Validate::ItemSearch::de::MinimumPrice) perl(Net::Amazon::Validate::ItemSearch::de::MusicLabel) perl(Net::Amazon::Validate::ItemSearch::de::Orchestra) perl(Net::Amazon::Validate::ItemSearch::de::Performer) perl(Net::Amazon::Validate::ItemSearch::de::PostalCode) perl(Net::Amazon::Validate::ItemSearch::de::Power) perl(Net::Amazon::Validate::ItemSearch::de::Publisher) perl(Net::Amazon::Validate::ItemSearch::de::Sort) perl(Net::Amazon::Validate::ItemSearch::de::State) perl(Net::Amazon::Validate::ItemSearch::de::TextStream) perl(Net::Amazon::Validate::ItemSearch::de::Title) perl(Net::Amazon::Validate::ItemSearch::fr::Actor) perl(Net::Amazon::Validate::ItemSearch::fr::Artist) perl(Net::Amazon::Validate::ItemSearch::fr::AudienceRating) perl(Net::Amazon::Validate::ItemSearch::fr::Author) perl(Net::Amazon::Validate::ItemSearch::fr::Availability) perl(Net::Amazon::Validate::ItemSearch::fr::Brand) perl(Net::Amazon::Validate::ItemSearch::fr::BrowseNode) perl(Net::Amazon::Validate::ItemSearch::fr::Composer) perl(Net::Amazon::Validate::ItemSearch::fr::Condition) perl(Net::Amazon::Validate::ItemSearch::fr::Conductor) perl(Net::Amazon::Validate::ItemSearch::fr::Count) perl(Net::Amazon::Validate::ItemSearch::fr::DeliveryMethod) perl(Net::Amazon::Validate::ItemSearch::fr::Director) perl(Net::Amazon::Validate::ItemSearch::fr::EAN) perl(Net::Amazon::Validate::ItemSearch::fr::Format) perl(Net::Amazon::Validate::ItemSearch::fr::ISPUPostalCode) perl(Net::Amazon::Validate::ItemSearch::fr::ItemPage) perl(Net::Amazon::Validate::ItemSearch::fr::Keywords) perl(Net::Amazon::Validate::ItemSearch::fr::Magazines) perl(Net::Amazon::Validate::ItemSearch::fr::Manufacturer) perl(Net::Amazon::Validate::ItemSearch::fr::MaximumPrice) perl(Net::Amazon::Validate::ItemSearch::fr::MerchantId) perl(Net::Amazon::Validate::ItemSearch::fr::MinimumPrice) perl(Net::Amazon::Validate::ItemSearch::fr::MusicLabel) perl(Net::Amazon::Validate::ItemSearch::fr::Orchestra) perl(Net::Amazon::Validate::ItemSearch::fr::Performer) perl(Net::Amazon::Validate::ItemSearch::fr::PostalCode) perl(Net::Amazon::Validate::ItemSearch::fr::Power) perl(Net::Amazon::Validate::ItemSearch::fr::Publisher) perl(Net::Amazon::Validate::ItemSearch::fr::Sort) perl(Net::Amazon::Validate::ItemSearch::fr::State) perl(Net::Amazon::Validate::ItemSearch::fr::Title) perl(Net::Amazon::Validate::ItemSearch::jp::Actor) perl(Net::Amazon::Validate::ItemSearch::jp::Artist) perl(Net::Amazon::Validate::ItemSearch::jp::AudienceRating) perl(Net::Amazon::Validate::ItemSearch::jp::Author) perl(Net::Amazon::Validate::ItemSearch::jp::Availability) perl(Net::Amazon::Validate::ItemSearch::jp::Brand) perl(Net::Amazon::Validate::ItemSearch::jp::BrowseNode) perl(Net::Amazon::Validate::ItemSearch::jp::Composer) perl(Net::Amazon::Validate::ItemSearch::jp::Condition) perl(Net::Amazon::Validate::ItemSearch::jp::Conductor) perl(Net::Amazon::Validate::ItemSearch::jp::Count) perl(Net::Amazon::Validate::ItemSearch::jp::DeliveryMethod) perl(Net::Amazon::Validate::ItemSearch::jp::Director) perl(Net::Amazon::Validate::ItemSearch::jp::EAN) perl(Net::Amazon::Validate::ItemSearch::jp::Format) perl(Net::Amazon::Validate::ItemSearch::jp::ISPUPostalCode) perl(Net::Amazon::Validate::ItemSearch::jp::ItemPage) perl(Net::Amazon::Validate::ItemSearch::jp::Keywords) perl(Net::Amazon::Validate::ItemSearch::jp::Magazines) perl(Net::Amazon::Validate::ItemSearch::jp::Manufacturer) perl(Net::Amazon::Validate::ItemSearch::jp::MaximumPrice) perl(Net::Amazon::Validate::ItemSearch::jp::MerchantId) perl(Net::Amazon::Validate::ItemSearch::jp::MinimumPrice) perl(Net::Amazon::Validate::ItemSearch::jp::MusicLabel) perl(Net::Amazon::Validate::ItemSearch::jp::Orchestra) perl(Net::Amazon::Validate::ItemSearch::jp::Performer) perl(Net::Amazon::Validate::ItemSearch::jp::PostalCode) perl(Net::Amazon::Validate::ItemSearch::jp::Power) perl(Net::Amazon::Validate::ItemSearch::jp::Publisher) perl(Net::Amazon::Validate::ItemSearch::jp::Sort) perl(Net::Amazon::Validate::ItemSearch::jp::State) perl(Net::Amazon::Validate::ItemSearch::jp::TextStream) perl(Net::Amazon::Validate::ItemSearch::jp::Title) perl(Net::Amazon::Validate::ItemSearch::uk::Actor) perl(Net::Amazon::Validate::ItemSearch::uk::Artist) perl(Net::Amazon::Validate::ItemSearch::uk::AudienceRating) perl(Net::Amazon::Validate::ItemSearch::uk::Author) perl(Net::Amazon::Validate::ItemSearch::uk::Availability) perl(Net::Amazon::Validate::ItemSearch::uk::Brand) perl(Net::Amazon::Validate::ItemSearch::uk::BrowseNode) perl(Net::Amazon::Validate::ItemSearch::uk::Composer) perl(Net::Amazon::Validate::ItemSearch::uk::Condition) perl(Net::Amazon::Validate::ItemSearch::uk::Conductor) perl(Net::Amazon::Validate::ItemSearch::uk::Count) perl(Net::Amazon::Validate::ItemSearch::uk::DeliveryMethod) perl(Net::Amazon::Validate::ItemSearch::uk::Director) perl(Net::Amazon::Validate::ItemSearch::uk::EAN) perl(Net::Amazon::Validate::ItemSearch::uk::Format) perl(Net::Amazon::Validate::ItemSearch::uk::ISPUPostalCode) perl(Net::Amazon::Validate::ItemSearch::uk::ItemPage) perl(Net::Amazon::Validate::ItemSearch::uk::Keywords) perl(Net::Amazon::Validate::ItemSearch::uk::Magazines) perl(Net::Amazon::Validate::ItemSearch::uk::Manufacturer) perl(Net::Amazon::Validate::ItemSearch::uk::MaximumPrice) perl(Net::Amazon::Validate::ItemSearch::uk::MerchantId) perl(Net::Amazon::Validate::ItemSearch::uk::MinimumPrice) perl(Net::Amazon::Validate::ItemSearch::uk::MusicLabel) perl(Net::Amazon::Validate::ItemSearch::uk::Orchestra) perl(Net::Amazon::Validate::ItemSearch::uk::Performer) perl(Net::Amazon::Validate::ItemSearch::uk::PostalCode) perl(Net::Amazon::Validate::ItemSearch::uk::Power) perl(Net::Amazon::Validate::ItemSearch::uk::Publisher) perl(Net::Amazon::Validate::ItemSearch::uk::Sort) perl(Net::Amazon::Validate::ItemSearch::uk::State) perl(Net::Amazon::Validate::ItemSearch::uk::TextStream) perl(Net::Amazon::Validate::ItemSearch::uk::Title) perl(Net::Amazon::Validate::ItemSearch::us::Actor) perl(Net::Amazon::Validate::ItemSearch::us::Artist) perl(Net::Amazon::Validate::ItemSearch::us::AudienceRating) perl(Net::Amazon::Validate::ItemSearch::us::Author) perl(Net::Amazon::Validate::ItemSearch::us::Availability) perl(Net::Amazon::Validate::ItemSearch::us::Brand) perl(Net::Amazon::Validate::ItemSearch::us::BrowseNode) perl(Net::Amazon::Validate::ItemSearch::us::City) perl(Net::Amazon::Validate::ItemSearch::us::Composer) perl(Net::Amazon::Validate::ItemSearch::us::Condition) perl(Net::Amazon::Validate::ItemSearch::us::Conductor) perl(Net::Amazon::Validate::ItemSearch::us::Count) perl(Net::Amazon::Validate::ItemSearch::us::Director) perl(Net::Amazon::Validate::ItemSearch::us::Format) perl(Net::Amazon::Validate::ItemSearch::us::ItemPage) perl(Net::Amazon::Validate::ItemSearch::us::Keyword) perl(Net::Amazon::Validate::ItemSearch::us::Keywords) perl(Net::Amazon::Validate::ItemSearch::us::MPAARating) perl(Net::Amazon::Validate::ItemSearch::us::Magazines) perl(Net::Amazon::Validate::ItemSearch::us::Manufacturer) perl(Net::Amazon::Validate::ItemSearch::us::MaximumPrice) perl(Net::Amazon::Validate::ItemSearch::us::MerchantId) perl(Net::Amazon::Validate::ItemSearch::us::MinimumPrice) perl(Net::Amazon::Validate::ItemSearch::us::MusicLabel) perl(Net::Amazon::Validate::ItemSearch::us::Neighborhood) perl(Net::Amazon::Validate::ItemSearch::us::Orchestra) perl(Net::Amazon::Validate::ItemSearch::us::Performer) perl(Net::Amazon::Validate::ItemSearch::us::PostalCode) perl(Net::Amazon::Validate::ItemSearch::us::Power) perl(Net::Amazon::Validate::ItemSearch::us::Publisher) perl(Net::Amazon::Validate::ItemSearch::us::Sort) perl(Net::Amazon::Validate::ItemSearch::us::State) perl(Net::Amazon::Validate::ItemSearch::us::TextStream) perl(Net::Amazon::Validate::ItemSearch::us::Title) perl(Net::Amazon::Validate::ItemSearch::us::UPC) perl(Net::Amazon::Validate::Type) perl(Net::Amazon::Validate::Type::BrowseNodeLookup) perl(Net::Amazon::Validate::Type::CartAdd) perl(Net::Amazon::Validate::Type::CartClear) perl(Net::Amazon::Validate::Type::CartCreate) perl(Net::Amazon::Validate::Type::CartGet) perl(Net::Amazon::Validate::Type::CartModify) perl(Net::Amazon::Validate::Type::CustomerContentLookup) perl(Net::Amazon::Validate::Type::CustomerContentSearch) perl(Net::Amazon::Validate::Type::Help) perl(Net::Amazon::Validate::Type::ItemLookup) perl(Net::Amazon::Validate::Type::ItemSearch) perl(Net::Amazon::Validate::Type::ListLookup) perl(Net::Amazon::Validate::Type::ListSearch) perl(Net::Amazon::Validate::Type::SellerListingLookup) perl(Net::Amazon::Validate::Type::SellerListingSearch) perl(Net::Amazon::Validate::Type::SellerLookup) perl(Net::Amazon::Validate::Type::SimilarityLookup) perl(Net::Amazon::Validate::Type::TagLookup) perl(Net::Amazon::Validate::Type::TransactionLookup)
Requires: perl >= 0:5.006 perl(Data::Dumper) perl(HTTP::Request::Common) perl(LWP::UserAgent) perl(Log::Log4perl) perl(Net::Amazon::Attribute::Review) perl(Net::Amazon::Attribute::ReviewSet) perl(Net::Amazon::Property) perl(Net::Amazon::Property::Book) perl(Net::Amazon::Property::CE) perl(Net::Amazon::Property::DVD) perl(Net::Amazon::Property::Music) perl(Net::Amazon::Property::Software) perl(Net::Amazon::Property::VideoGames) perl(Net::Amazon::Result::Seller) perl(Net::Amazon::Result::Seller::Listing) perl(Net::Amazon::Validate::ItemSearch) perl(Net::Amazon::Validate::Type) perl(Text::Wrap) perl(Time::HiRes) perl(URI) perl(XML::Simple) perl(base) perl(constant) perl(strict) perl(warnings)

APPROVED.

Comment 2 Iain Arnell 2009-05-10 16:44:41 UTC
New Package CVS Request
=======================
Package Name: perl-Net-Amazon
Short Description: Framework for accessing amazon.com via REST
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2009-05-10 19:25:11 UTC
cvs done.

Comment 4 Fedora Update System 2009-05-11 03:18:57 UTC
perl-Net-Amazon-0.50-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Net-Amazon-0.50-1.fc11

Comment 5 Fedora Update System 2009-05-11 03:19:02 UTC
perl-Net-Amazon-0.50-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Net-Amazon-0.50-1.fc10

Comment 6 Iain Arnell 2009-05-11 03:32:52 UTC
Thanks for the review! :-)

Comment 7 Fedora Update System 2009-05-20 00:49:06 UTC
perl-Net-Amazon-0.50-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-05-20 00:52:31 UTC
perl-Net-Amazon-0.50-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.